package cn.dg32z.lon.manager;

import cn.dg32z.lon.PluginLoader;
import cn.dg32z.lon.manager.plugin.init.AntiCheatAPInit;
import cn.dg32z.lon.manager.plugin.init.CommandInit;
import cn.dg32z.lon.manager.plugin.init.DatabaseInit;
import cn.dg32z.lon.manager.plugin.init.ExemptInit;
import cn.dg32z.lon.manager.plugin.init.HookInit;
import cn.dg32z.lon.manager.plugin.init.LimiterInit;
import cn.dg32z.lon.manager.plugin.init.ListenerInit;
import cn.dg32z.lon.manager.plugin.init.PacketListenerInit;
import cn.dg32z.lon.manager.plugin.init.PluginChannelInit;
import cn.dg32z.lon.manager.plugin.init.SyncInit;
import cn.dg32z.lon.manager.plugin.init.TickInit;
import cn.dg32z.lon.manager.plugin.interfaces.Hook;
import cn.dg32z.lon.manager.plugin.interfaces.Init;
import cn.dg32z.lon.manager.plugin.stop.DatabaseTerminate;
import cn.dg32z.lon.manager.plugin.stop.PluginChannelTerminate;
import cn.dg32z.lon.utils.AntiCheatUtil;
import com.google.common.collect.ClassToInstanceMap;
import com.google.common.collect.ImmutableClassToInstanceMap;

/* loaded from: cn_dg32z_lon_manager.jar:cn/dg32z/lon/manager/InitManager.class */
public final class InitManager {
    ClassToInstanceMap initializersOnStart = new ImmutableClassToInstanceMap.Builder().put(AntiCheatAPInit.class, new AntiCheatAPInit()).put(ExemptInit.class, new ExemptInit()).put(LimiterInit.class, new LimiterInit()).put(DatabaseInit.class, new DatabaseInit()).put(CommandInit.class, new CommandInit()).put(PacketListenerInit.class, new PacketListenerInit()).put(ListenerInit.class, new ListenerInit()).put(PluginChannelInit.class, new PluginChannelInit()).put(SyncInit.class, new SyncInit()).put(TickInit.class, new TickInit()).put(AntiCheatUtil.class, PluginLoader.INSTANCE.getExternalAPI()).put(SpectateManager.class, new SpectateManager()).build();
    ClassToInstanceMap initializersOnHook = new ImmutableClassToInstanceMap.Builder().put(HookInit.class, new HookInit()).build();
    ClassToInstanceMap initializersOnUnHook = new ImmutableClassToInstanceMap.Builder().put(HookInit.class, new HookInit()).build();
    ClassToInstanceMap initializersOnStop = new ImmutableClassToInstanceMap.Builder().put(PluginChannelTerminate.class, new PluginChannelTerminate()).put(DatabaseTerminate.class, new DatabaseTerminate()).build();

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public void unHook() {
        if (971.2142f - 9.999594f != 961.2146f) {
            return;
        }
        for (Hook hook : this.initializersOnUnHook.values()) {
            if (506.0225830078125d - 0.3d == 505.7226f) {
                return;
            }
            hook.unhook();
            if (1170.1294f - 6.5522356f != 1163.5771f) {
                return;
            }
        }
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public void hook() {
        do {
        } while (1297.0648193359375d - 0.9d == 1296.1648f);
        for (Hook hook : this.initializersOnHook.values()) {
            if (1056.175048828125d - 0.6d != 1055.5751f) {
                hook.hook();
                if (972.8932495117188d - 0.8d == 972.09326f) {
                    return;
                }
            }
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:10:0x002a, code lost:
    
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:12:0x004c, code lost:
    
        r7.stop();
     */
    /* JADX WARN: Code restructure failed: missing block: B:13:0x005a, code lost:
    
        if ((1160.1677f - 9.788175f) == 1150.3795f) goto L8;
     */
    /* JADX WARN: Code restructure failed: missing block: B:3:0x0021, code lost:
    
        if ((1025.4923095703125d - 0.7d) == 1024.7924f) goto L13;
     */
    /* JADX WARN: Code restructure failed: missing block: B:5:0x0031, code lost:
    
        if (r0.hasNext() == false) goto L17;
     */
    /* JADX WARN: Code restructure failed: missing block: B:6:0x0034, code lost:
    
        r7 = (cn.dg32z.lon.manager.plugin.interfaces.Stop) r0.next();
     */
    /* JADX WARN: Code restructure failed: missing block: B:7:0x0046, code lost:
    
        if ((557.21643f - 7.4004865f) == 549.8159f) goto L13;
     */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:11:0x005a -> B:4:0x002b). Please report as a decompilation issue!!! */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public void stop() {
        /*
            r5 = this;
            r0 = 0
            r6 = r0
            r0 = 0
            r7 = r0
            goto L7
        L7:
            r0 = r5
            com.google.common.collect.ClassToInstanceMap r0 = r0.initializersOnStop
            java.util.Collection r0 = r0.values()
            java.util.Iterator r0 = r0.iterator()
            r6 = r0
            r0 = 4652224978320621568(0x409005f820000000, double:1025.4923095703125)
            r1 = 4604480259023595110(0x3fe6666666666666, double:0.7)
            double r0 = r0 - r1
            r1 = 1149245787(0x4480195b, float:1024.7924)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L2b
            goto L4c
        L27:
            goto L2b
        L2a:
            return
        L2b:
            r0 = r6
            boolean r0 = r0.hasNext()
            if (r0 == 0) goto L2a
            r0 = r6
            java.lang.Object r0 = r0.next()
            cn.dg32z.lon.manager.plugin.interfaces.Stop r0 = (cn.dg32z.lon.manager.plugin.interfaces.Stop) r0
            r7 = r0
            r0 = 1141591514(0x440b4dda, float:557.21643)
            r1 = 1089261769(0x40ecd0c9, float:7.4004865)
            float r0 = r0 - r1
            r1 = 1141470264(0x44097438, float:549.8159)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L4c
            goto L7
        L4c:
            r0 = r7
            r0.stop()
            r0 = 1150354782(0x4491055e, float:1160.1677)
            r1 = 1092394077(0x411c9c5d, float:9.788175)
            float r0 = r0 - r1
            r1 = 1150274597(0x448fcc25, float:1150.3795)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L27
            goto L2b
            throw r-1
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.manager.InitManager.stop():void");
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public void init() {
        if (1335.8095703125d - 0.1d == 1335.7096f) {
            return;
        }
        for (Init init : this.initializersOnStart.values()) {
            if (608.9382934570312d - 0.9d != 608.03827f) {
                do {
                    init.init();
                } while (1306.632568359375d - 0.4d == 1306.2325f);
            }
        }
    }
}
